package apifest;

import junit.framework.TestCase;
import org.apidesign.apifest08.currency.ConvertorCurrency;


/** Write a test that works with version from task A and fails with version B.
 */
public class CurrencyTest extends TestCase {
    public CurrencyTest(String n) {
        super(n);
    }
    
    public void testCompatibility() throws Exception {
        ConvertorCurrency cur1 = ConvertorCurrency.getInstance("CZK");
        ConvertorCurrency cur2 = ConvertorCurrency.getInstance("CZK");

        assertNotSame("Two different instances", cur1, cur2);
        if (cur1.equals(cur2)) {
            fail("They are even not equal in first version");
        }
    }
}
