package apifest;

import junit.framework.TestCase;
import org.apidesign.apifest08.currency.CurrencyRate;
import org.apidesign.apifest08.currency.CurrencyRateFactory;


/** Write a test that works with version from task A and fails with version B.
 */
public class CurrencyTest extends TestCase {
    public CurrencyTest(String n) {
        super(n);
    }
    
    public void testCompatibility() throws Exception {
        CurrencyRate rate = CurrencyRateFactory.getInstance().createCurrencyRate("CZK", "USD", 1, 2);
        assertEquals("Implements one interface", 1, rate.getClass().getInterfaces().length);
    }
}
